Skip to main content
PUT
Update Canton Validator

Authentication

✅ Organization User (CustomerEmployee)
❌ Delegated User (EndUser)
✅ Service Account

Required Permissions

Networks:CantonValidators:Update: Always required.

Authorizations

Authorization
string
header
required

Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows

X-DFNS-USERACTION
string
header
required

User Action Signature: Used to sign the change-inducing API requests. More details how to generate the token: User Action Signing flows

Path Parameters

network
enum<string>
required
Available options:
canton,
canton-devnet,
canton-testnet
validatorId
string
required
Required string length: 1 - 64
Pattern: ^cv-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$

Body

application/json
name
string

Nickname for this validator.

Required string length: 1 - 50
validator
object
ledger
object

Response

200 - application/json

Success

id
string
required
Required string length: 1 - 64
Pattern: ^cv-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
Example:

"cv-7jeof-m584r-p35ucm37ko3cqgts"

orgId
string
required

Organization id.

Required string length: 1 - 64
Pattern: ^or-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
Example:

"or-30tnh-itmjs-s235s5ontr3r23h2"

network
enum<string>
required

The Canton network this validator is configured for.

Available options:
Canton,
CantonDevnet,
CantonTestnet
kind
enum<string>
required

Shared if using the Dfns-hosted shared validator, Custom if connecting your own validator.

Available options:
Shared,
Custom
dateCreated
string<date-time>
required

ISO 8601 date (must be UTC). When the validator was linked.

Example:

"2023-04-14T20:41:28.715Z"

partyHint
string
required

Party hint used to derive the Canton party id for wallets created under this validator.

name
string

Nickname for this validator.

Last modified on July 9, 2026